<?php
// /catalog/includes/languages/english/header_tags.php
// WebMakers.com Added: Header Tags Generator v2.5.2
// Add META TAGS and Modify TITLE
//
// DEFINITIONS FOR /includes/languages/english/header_tags.php

// For all pages not defined or left blank, and for products not defined
// These are included unless you set the toggle switch in each section below to OFF ( '0' )
// The HEAD_TITLE_TAG_ALL is included AFTER the specific one for the page
// The HEAD_DESC_TAG_ALL is included AFTER the specific one for the page
// The HEAD_KEY_TAG_ALL is included AFTER the specific one for the page
define('HEAD_TITLE_TAG_ALL','New Store');
define('HEAD_DESC_TAG_ALL','New Store : Competitivos en nuestros negocios');
define('HEAD_KEY_TAG_ALL','Nueva tienda, nuevo negocio, nuevo sitio web, pgina web, pginas web, pgina web, sitios seb');

// DEFINE TAGS FOR INDIVIDUAL PAGES

// index.php
define('HTTA_DEFAULT_ON','0'); // Include HEAD_TITLE_TAG_ALL in Title
define('HTKA_DEFAULT_ON','0'); // Include HEAD_KEY_TAG_ALL in Keywords
define('HTDA_DEFAULT_ON','0'); // Include HEAD_DESC_TAG_ALL in Description
define('HTTA_CAT_DEFAULT_ON', '1'); //Include HEADER_TITLE_DEFAULT in CATEGORY DISPLAY
define('HEAD_TITLE_TAG_DEFAULT', 'New Store');
define('HEAD_DESC_TAG_DEFAULT','New Store : Competitivos en nuestros negocios');
define('HEAD_KEY_TAG_DEFAULT','nuevas tiendas, nuevos negocios, nueva pgina web, sitio web, sitios web, sitios  web, sitios de seb');

// all_products.php
define('HTTA_ALL_PRODUCTS_ON','1');
define('HTDA_ALL_PRODUCTS_ON','1');
define('HTKA_ALL_PRODUCTS_ON','1');
define('HEAD_TITLE_TAG_ALL_PRODUCTS','Todos nuestros productos');
define('HEAD_DESC_TAG_ALL_PRODUCTS','Todo en almacn');
define('HEAD_KEY_TAG_ALL_PRODUCTS','Todos los productos');

// product_info.php - if left blank in products_description table these values will be used
define('HTTA_PRODUCT_INFO_ON','1');
define('HTKA_PRODUCT_INFO_ON','1');
define('HTDA_PRODUCT_INFO_ON','1');
define('HTTA_CAT_PRODUCT_DEFAULT_ON', '1');
define('HEAD_TITLE_TAG_PRODUCT_INFO','Informacin de producto');
define('HEAD_DESC_TAG_PRODUCT_INFO','Informacin y especificaciones detalladas');
define('HEAD_KEY_TAG_PRODUCT_INFO','especificaciones, espec., detalles');

// products_new.php - whats_new
define('HTTA_WHATS_NEW_ON','1');
define('HTKA_WHATS_NEW_ON','1');
define('HTDA_WHATS_NEW_ON','1');
define('HEAD_TITLE_TAG_WHATS_NEW','Productos nuevos');
define('HEAD_DESC_TAG_WHATS_NEW','Nuestros productos ms ltimos');
define('HEAD_KEY_TAG_WHATS_NEW','productos nuevos, adiciones recientes');

// specials.php
// If HEAD_KEY_TAG_SPECIALS is left blank, it will build the keywords from the products_names of all products on special
define('HTTA_SPECIALS_ON','1');
define('HTKA_SPECIALS_ON','1');
define('HTDA_SPECIALS_ON','1');
define('HEAD_TITLE_TAG_SPECIALS','Specials');
define('HEAD_DESC_TAG_SPECIALS','Cosas en venta');
define('HEAD_KEY_TAG_SPECIALS','venta, descuento, coste especial, reducido, liquidacin, separacin');

// product_reviews_info.php and product_reviews.php - if left blank in products_description table these values will be used
define('HTTA_PRODUCT_REVIEWS_INFO_ON','1');
define('HTKA_PRODUCT_REVIEWS_INFO_ON','1');
define('HTDA_PRODUCT_REVIEWS_INFO_ON','1');
define('HEAD_TITLE_TAG_PRODUCT_REVIEWS_INFO','Revisiones del producto');
define('HEAD_DESC_TAG_PRODUCT_REVIEWS_INFO','Leer y escribir las revisiones sobre nuestros productos');
define('HEAD_KEY_TAG_PRODUCT_REVIEWS_INFO','revisiones del producto, productos de la revisin, revisiones, opiniones del producto, opinin');


?>