<?php
/*
  $Id: uploader.php,v 1.9 2007/04/01 01:35:10 auctionblox Exp $

  AuctionBlox, sell more, work less!
  http://www.auctionblox.com

  Copyright (c) 2004 AuctionBlox
*/

  require_once(DIR_FS_ABX_CLASSES . 'Page/abxPageProgressBar.php');
  require_once(DIR_FS_ABX_CLASSES . 'abxListing.php');
  require_once(DIR_FS_ABX_CLASSES . 'abxItemUploads.php');

  class abxModule_Uploader extends abxModule {

    function display()
    {
      global $abxListing;

      if (!ini_get('safe_mode'))
        set_time_limit(0);

      $abxItemUploads = new abxItemUploads;

      $abxListing = new abxListing;

      $abxPage = new abxPageProgressBar($_GET['counter'],$_GET['progress'],$_GET['totalCount'],$_POST['abxList'],$_GET['errorCount'],$_GET['successCount']);

      $abxPage->includeLanguageFile('uploader');

      $abxPage->setTitle(HEADING_TITLE);

      $abxPage->setPopupCloseWindow("return closeWindow('auctionblox.php?abx=listings&filter=".((empty($_GET['errorCount']) === false) ? 'FAILED' : 'ACTIVE')."');");

      $abxPage->init( array(TEXT_ACTION_UPLOADING,TEXT_ACTION_PREPARING) );

      require( $abxPage->template() );

      flush();

      switch($_POST['perform']) {

        case 'AddListingsFromUploadsManager':

        case 'AddListings':

        case 'RelistListings':

        case 'CancelListings':

          $schedule = $abxItemUploads->createSchedule($_POST);

          $uploads = array();

          //Oh Crap!!

          if ($_POST['perform'] == 'RelistListings') {

            $i = 0;

            foreach($_POST['abxList'] as $id) {

              $uploads[] = $abxItemUploads->processUpload($_POST['perform'],$_POST['listing_uuid'],$id,$schedule);

              echo $abxPage->update(TEXT_ACTION_PREPARING,((++$i)+1));

              flush();

            }

          } else {

            for($i=0; $i < $abxPage->totalCount; $i++) {

              $uploads[] = $abxItemUploads->processUpload($_POST['perform'],$_POST['listing_uuid'],$_POST['abxList'][$i],$schedule);

              echo $abxPage->update(TEXT_ACTION_PREPARING,$i+1);

              flush();

            }

          }

          echo $abxPage->listAsHiddenFields('uploads', 'abxList', $uploads);

          flush();

          echo $abxPage->submitNext('uploads','UploadContinue');

          flush();

          break;

        case 'UploadContinue':

          if ($abxPage->counter == 0)
            echo $abxPage->reset(TEXT_ACTION_UPLOADING);
          else
            echo $abxPage->update(TEXT_ACTION_UPLOADING,$abxPage->counter);

          flush();

          if ($abxPage->counter < $abxPage->totalCount) {

            echo $abxPage->listAsHiddenFields('uploads', 'abxList', $_POST['abxList']);

            flush();

            $uploadResults = $abxItemUploads->performUpload( array_slice($_POST['abxList'], $abxPage->counter, ABX_MAX_NUM_PROCESS_UPLOAD) );

            if ($uploadResults['processed'] > 0)

              $abxPage->counter += $uploadResults['processed'];

            echo $abxPage->update(TEXT_ACTION_UPLOADING,$abxPage->counter);

            flush();

            $abxPage->errorCount   += $uploadResults['errors'];

            $abxPage->successCount += $uploadResults['success'];

            echo $abxPage->submitNext('uploads','UploadContinue');

            flush();

          } else {

            echo $abxPage->completed('<div>'.TEXT_ACTION_COMPLETE.'</div>' . '<div>'.'Errors='.$abxPage->errorCount.' Success='.$abxPage->successCount.'</div>');

            flush();

          }

          break;

      }//switch

      return FALSE;
    }

  }//end class
?>