<?php
/* 
Autoload eCommerce Shopping Cart Script Installation Modified January, 2012

  Copyright (c) 20012 Autoload

  Released under the GNU General Public License
  
  ---
  Autoload is based on the osCommerce engine:
  
    Copyright (c) 2003-2008+ osCommerce

  Released under the GNU General Public License
  
  http://www.oscommerce.com  osCommerce, Open Source E-Commerce Solutions

*/
?>

<?PHP


  $compat_register_globals = true;

  if (function_exists('ini_get') && (PHP_VERSION < 4.3) && ((int)ini_get('register_globals') == 0)) {
    $compat_register_globals = false;
  }


  $www_location = 'http://' . $_SERVER['HTTP_HOST'];

  if (isset($_SERVER['REQUEST_URI']) && !empty($_SERVER['REQUEST_URI'])) {
    $www_location .= $_SERVER['REQUEST_URI'];
  } else {
    $www_location .= $_SERVER['SCRIPT_FILENAME'];
  }

  $www_location = substr($www_location, 0, strpos($www_location, 'install'));

  $dir_fs_www_root = autoload_realpath(dirname(__FILE__) . '/../../../') . '/';
?>


<script language="javascript" type="text/javascript" src="ext/xmlhttp/xmlhttp.js"></script>
<script language="javascript" type="text/javascript">
<!--

  var dbServer;
  var dbUsername;
  var dbPassword;
  var dbName;
  var dbCfgStoreName;
  var dbCfgStoreOwnerName;
  var dbStoreOwnerEmailAdd;
  var dbcfgAdminUsernFst;
  var dbCfgAdminUsernLst;
  var dbCfgControlPnlEmail;
  var dbCfgAdminPass;

  var formSubmited = false;

  function handleHttpResponse_DoImport() {
    if (http.readyState == 4) {
      if (http.status == 200) {
        var result = /\[\[([^|]*?)(?:\|([^|]*?)){0,1}\]\]/.exec(http.responseText);
        result.shift();
if (result[0] == '1') {
          document.getElementById('mBoxContents').innerHTML = '<table><tr><td align="left"><p>Database connection check passed.</p></td><td><p><img src="images/success.gif" align="right" hspace="5" vspace="5" border="0" /></p></td></tr></table><table><tr><td align="left">Importing the database and writing configuration files...</p></td><td><p><img src="images/progress.gif" align="right" hspace="5" vspace="5" border="0" /></p></td></tr></table><BR>';

          setTimeout("document.getElementById('installForm').submit();", 2000);
        } else {
	 
		 document.getElementById('mBoxContents').innerHTML = '<p><img src="images/failed.gif" align="right" hspace="5" vspace="5" border="0" />Database connection check failed.  Attempting to import and write files anyway...</p>';

          setTimeout("document.getElementById('installForm').submit();", 2000);
	  
        }
      }

      formSubmited = false;
    }
  }

  function handleHttpResponse() {
    if (http.readyState == 4) {
      if (http.status == 200) {
        var result = /\[\[([^|]*?)(?:\|([^|]*?)){0,1}\]\]/.exec(http.responseText);
        result.shift();

        if (result[0] == '1') {
          document.getElementById('mBoxContents').innerHTML = '<p><img src="images/progress.gif" align="right" hspace="5" vspace="5" border="0" />The database structure is now being imported. Please be patient during this procedure.</p>';

            loadXMLDoc("rpc.php?action=dbCheck&server=" + urlEncode(dbServer) + "&username=" + urlEncode(dbUsername) + "&password=" + urlEncode(dbPassword) + "&name=" + urlEncode(dbName), handleHttpResponse_DoImport);
        } else {
		 document.getElementById('mBoxContents').innerHTML = '<p><img src="images/failed.gif" align="right" hspace="5" vspace="5" border="0" />Warning: Preliminary database connection check failed.</p><p><img src="images/progress.gif" align="right" hspace="5" vspace="5" border="0" />Writing to configuration files without importing the database.</p>';

          setTimeout("document.getElementById('installForm').submit();", 2000);
          formSubmited = false;
        }
      } else {
        formSubmited = false;
      }
    }
  }

  function prepareDBupdate() {
    if (formSubmited == true) {
      return false;
    }

    formSubmited = true;

    showDiv(document.getElementById('mBox'));

    document.getElementById('mBoxContents').innerHTML = '<p><img src="images/progress.gif" align="right" hspace="5" vspace="5" border="0" />Testing database connection..</p>';

    dbServer = document.getElementById("DB_SERVER").value;
    dbUsername = document.getElementById("DB_SERVER_USERNAME").value;
    dbPassword = document.getElementById("DB_SERVER_PASSWORD").value;
    dbName = document.getElementById("DB_DATABASE").value;

    loadXMLDoc("rpc.php?action=dbCheck&server=" + urlEncode(dbServer) + "&username=" + urlEncode(dbUsername) + "&password=" + urlEncode(dbPassword) + "&name=" + urlEncode(dbName), handleHttpResponse);
  }
    
//-->
</script>
<div class="contentBlock">
  <div class="infoPanel">
    <h3>Server Capabilities</h3>

    <div class="informationpanelcontent">
      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><b>PHP Version</b></td>
          <td align="right"><?php echo PHP_VERSION; ?></td>
          <td align="right" width="25"><img src="images/<?php echo ((PHP_VERSION >= 4) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
      </table>

<?php
  if (function_exists('ini_get')) {
?>

      <br />

      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><b>PHP Settings</td>
          <td align="right"></td>
          <td align="right" width="25"></td>
        </tr>
        <tr>
          <td>register_globals</td>
          <td align="right"><?php echo (((int)ini_get('register_globals') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (($compat_register_globals == true) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>magic_quotes</td>
          <td align="right"><?php echo (((int)ini_get('magic_quotes') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (((int)ini_get('magic_quotes') == 0) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>file_uploads</td>
          <td align="right"><?php echo (((int)ini_get('file_uploads') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (((int)ini_get('file_uploads') == 1) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>session.auto_start</td>
          <td align="right"><?php echo (((int)ini_get('session.auto_start') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (((int)ini_get('session.auto_start') == 0) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>session.use_trans_sid</td>
          <td align="right"><?php echo (((int)ini_get('session.use_trans_sid') == 0) ? 'Off' : 'On'); ?></td>
          <td align="right"><img src="images/<?php echo (((int)ini_get('session.use_trans_sid') == 0) ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
      </table>

      <br />

      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr>
          <td><b>PHP Extensions</b></td>
          <td align="right" width="25"></td>
        </tr>
        <tr>
          <td>mySQL</td>
          <td align="right"><img src="images/<?php echo (extension_loaded('mysql') ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>phpGD</td>
          <td align="right"><img src="images/<?php echo (extension_loaded('gd') ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>cURL</td>
          <td align="right"><img src="images/<?php echo (extension_loaded('curl') ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
        <tr>
          <td>OpenSSL</td>
          <td align="right"><img src="images/<?php echo (extension_loaded('openssl') ? 'tick.gif' : 'cross.gif'); ?>" border="0" width="16" height="16"></td>
        </tr>
      </table>

<?php
  }
?>

    </div>
  </div>


<?php

/* vyoufinder removed begin
  $configfile_array = array();

  if (file_exists(autoload_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php') && !is_writeable(autoload_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php')) {
    @chmod(autoload_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php', 0777);
  }

  if (file_exists(autoload_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php') && !is_writeable(autoload_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php')) {
    @chmod(autoload_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php', 0777);
  }

  if (file_exists(autoload_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php') && !is_writeable(autoload_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php')) {
    $configfile_array[] = autoload_realpath(dirname(__FILE__) . '/../../../includes') . '/configure.php';
  }

  if (file_exists(autoload_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php') && !is_writeable(autoload_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php')) {
    $configfile_array[] = autoload_realpath(dirname(__FILE__) . '/../../../admin/includes') . '/configure.php';
  }
vyoufinder removed finished */


  $warning_array = array();

  if (function_exists('ini_get')) {
    if ($compat_register_globals == false) {
      $warning_array['register_globals'] = 'Enabling register_globals in php is a security risk.  You may proceed but it is highly recommended that you upgrade to php5 or newer, or that you disable register_globals in your php.ini file.';
    }
  }

  if ((sizeof($configfile_array) > 0) || (sizeof($warning_array) > 0)) {
?>

    <div class="noticeBox">

<?php
    if (sizeof($warning_array) > 0) {
?>

      <table border="0" width="100%" cellspacing="0" cellpadding="2" style="background: #fffbdf; border: 1px solid #ffc20b; padding: 2px;">

<?php
      reset($warning_array);
      while (list($key, $value) = each($warning_array)) {
        echo '        <tr>' . "\n" .
             '          <td valign="top"><b>' . $key . '</b></td>' . "\n" .
             '          <td valign="top">' . $value . '</td>' . "\n" .
             '        </tr>' . "\n";
      }
?>

      </table>
<?php
    }

    if (sizeof($configfile_array) > 0) {
?>
<?php  /* vyoufinder removed but cool if want to list the files
      <p>The webserver is not able to write to the configuration files.</p>



      for ($i=0, $n=sizeof($configfile_array); $i<$n; $i++) {
        echo $configfile_array[$i];

        if (isset($configfile_array[$i+1])) {
          echo '<br />';
        }
      }
vyoufinder removed but cool if you want to list the files finished */ ?>



<?php
    }
?>



<?php
  }

  if ((sizeof($configfile_array) > 0) || (sizeof($warning_array) > 0)) {
?>

    <p>You may need to adjust your webserver configuration.  Make any necessary changes based on the errors highlighted above.</p>

<?php
    if (sizeof($warning_array) > 0) {
      echo '    <p><i>Changing the webserver configuration may require the webserver to be restarted before changes take effect.</i></p>' . "\n";
    }
?>

    <p align="right"><a href="index.php"><img src="images/button_retry.gif" border="0" alt="Re-check Configuration" /></a></p>

<?php
  } else {
?>

    <p>The webserver environment has been verified to proceed with a successful installation and configuration of your online store.</p>
    
	<p>Please provide details about your database server, web server, and configuration options. If help is needed, consult the <a href="http://www.autoload.org/forumautoload/" target="_blank">Autoload eCommerce Shopping Cart Script Support Forums</a>.</p>
  

<?php
  }
?>
 </div></div></div></div>  <div id="mBox">
    <div id="mBoxContents"></div></div>


<div class="contentPanel">
   <form name="install" id="installForm" action="install.php?step=4" method="post" onsubmit="prepareDBupdate(); return false;">  

    <table border="0" width="99%" cellspacing="0" cellpadding="5" class="inputForm">
      <tr>
        <td class="inputField"><?php echo 'Database Server<br />' . autoload_draw_input_field('DB_SERVER', null, 'class="text"'); ?></td>
        <td class="inputDescription">The address of the database server in the form of a hostname or IP address.  Most commonly, "localhost" should be entered here unless your database is on another web host.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'Database Username<br />' . autoload_draw_input_field('DB_SERVER_USERNAME', null, 'class="text"'); ?></td>
        <td class="inputDescription">The username used to connect to the database server.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'Database Password<br />' . autoload_draw_password_field('DB_SERVER_PASSWORD', 'class="text"'); ?></td>
        <td class="inputDescription">The password that is used together with the username to connect to the database server.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'Database Name<br />' . autoload_draw_input_field('DB_DATABASE', null, 'class="text"'); ?></td>
        <td class="inputDescription">The name of the database to hold the data in.</td>
      </tr>
	  
	   <tr>
        <td class="inputField"><?php echo 'Ftp Server<br />' . autoload_draw_input_field('FTP_SERVER', null, 'class="text"'); ?></td>
        <td class="inputDescription">The ftp server.  Typically your domain name.  For example: autoload.org.</td>
      </tr>
	      <tr>
        <td class="inputField"><?php echo 'Ftp Username<br />' . autoload_draw_input_field('FTP_USER', null, 'class="text"'); ?></td>
        <td class="inputDescription">The ftp login username.  This is used for changing permissions on files.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'Ftp Password<br />' . autoload_draw_password_field('FTP_PASS', 'class="text"'); ?></td>
        <td class="inputDescription">The password that is used together with the username to connect to the database server.</td>
      </tr>


	 <tr>
        <td class="inputField"><?php echo 'Url or Web Address<br />' . autoload_draw_input_field('HTTP_WWW_ADDRESS', $www_location, 'class="text"'); ?></td>
        <td class="inputDescription">The web address of the new online store.  For example: http://www.autoload.org/autoload/</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'Webserver Root Directory<br />' . autoload_draw_input_field('DIR_FS_DOCUMENT_ROOT', $dir_fs_www_root, 'class="text"'); ?></td>
        <td class="inputDescription">The directory where the online store is to be installed on the server.  For example: /home/autoload/public_html/autoload/</td>
      </tr>
	        <tr>
        <td class="inputField"><?php echo 'Store Name<br />' . autoload_draw_input_field('CFG_STORE_NAME', null, 'class="text"'); ?></td>
        <td class="inputDescription">The name of the online store that may be presented to the public.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'Store Owner Name<br />' . autoload_draw_input_field('CFG_STORE_OWNER_NAME', null, 'class="text"'); ?></td>
        <td class="inputDescription">The name of the store owner that may be presented to the public.</td>
      </tr>
      <tr>
        <td class="inputField"><?php echo 'Store Owner E-Mail Address<br />' . autoload_draw_input_field('CFG_STORE_OWNER_EMAIL_ADDRESS', null, 'class="text"'); ?></td>
        <td class="inputDescription">The e-mail address of the store owner that may be presented to the public.</td>
      </tr>
	        
      <tr>
        <td class="inputField"><?php echo 'Administrator First Name<br />' . autoload_draw_input_field('CFG_ADMINISTRATOR_USERNAME_FIRST', null, 'class="text"'); ?></td>
        <td class="inputDescription">The first name of the administrator who will use the control panel.</td>
      </tr>
	        <tr>
        <td class="inputField"><?php echo 'Administrator Last Name<br />' . autoload_draw_input_field('CFG_ADMINISTRATOR_USERNAME_LAST', null, 'class="text"'); ?></td>
        <td class="inputDescription">The last name of the administrator to use for the control panel.</td>
      </tr>
	  <tr>
        <td class="inputField"><?php echo 'Administrator E-Mail Address for Control Panel<br />' . autoload_draw_input_field('CFG_CONTROL_PANEL_EMAIL_ADDRESS', null, 'class="text"'); ?></td>
        <td class="inputDescription">The e-mail address to be used for logging into the Control Panel.</td>
      </tr>

	   <tr>
        <td class="inputField"><?php echo 'Administrator Password<br />' . autoload_draw_password_field('CFG_ADMINISTRATOR_PASSWORD', 'class="text"'); ?></td>
        <td class="inputDescription">The password that is used together with the username to connect to the database server.</td>
       </tr>
 
    </table>
	    <p align="right"><input type="image" src="images/button_continue.gif" border="0" alt="Continue" id="inputButton" />&nbsp;&nbsp;<a href="index.php"><img src="images/button_cancel.gif" border="0" alt="Cancel" /></a></p>

</form>