<?php
/*
  $Id: auction_upload.php,v 1.0 2003/12/29 Auctionblox Exp $
 
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
 
  Copyright (c) 2003 osCommerce
  
  This file is part of the eBay Auction Manager for osCommerce
  http://www.auctionblox.com/oscommerce
 
  Copyright (c) 2003, AuctionBlox.com  
 
  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  require(DIR_WS_CLASSES . 'auction_helper.php');
  $auctionHelper = new auctionHelper();
  
    switch ($_REQUEST['perform']) {
    case 'deleteconfirm':
	  tep_db_query('delete from ' . TABLE_AUCTION_PRODUCT_MATCHER . ' where auction_product_matcher_id = ' . $HTTP_GET_VARS['oID']);
      tep_redirect(tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params(array('oID', 'action'))));
      break;

    case 'DeleteMultipleConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
		  tep_db_query('delete from ' . TABLE_AUCTION_PRODUCT_MATCHER . ' where auction_product_matcher_id = ' . $oID);
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params(array('oID', 'action'))));
      break;
	  
    case 'ApproveMultipleConfirm':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
	  foreach ($affectedItems as $key => $oID) 
	  {
		  tep_db_query('update ' . TABLE_AUCTION_PRODUCT_MATCHER . ' set is_approved = 1 where auction_product_matcher_id = ' . $oID);
	  }  			
      tep_redirect(tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params(array('oID', 'action'))));
      break;
   }
  
  
  switch($HTTP_GET_VARS['status'])
  {
  case 'PENDING':
	  $productMappings_raw = "select pm.auction_product_matcher_id as id, ah.auction_house_label, pm.ext_title, pd.products_name from " . TABLE_AUCTION_PRODUCT_MATCHER . " pm, " . TABLE_AUCTION_HOUSES . " ah, " . TABLE_PRODUCTS_DESCRIPTION . " pd where pm.auction_house_id = ah.auction_house_id and pm.products_id = pd.products_id and pm.is_approved = 0 and pd.language_id = '" . $languages_id . "' order by pd.products_name";
	  $productMappings_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $productMappings_raw, $productMappings_query_numrows);
	  $productMappings = tep_db_query($productMappings_raw);
	  break;
  	
  
  case 'NOTSET':
	  $productMappings_raw = "select pm.auction_product_matcher_id as id, ah.auction_house_label, pm.ext_title, pd.products_name from " . TABLE_AUCTION_PRODUCT_MATCHER . " pm, " . TABLE_AUCTION_HOUSES . " ah left outer join " . TABLE_PRODUCTS_DESCRIPTION . " pd on pm.products_id = pd.products_id where pm.auction_house_id = ah.auction_house_id and pm.products_id = 0";
	  $productMappings_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $productMappings_raw, $productMappings_query_numrows);
	  $productMappings = tep_db_query($productMappings_raw);
	  break;

  default:
	  $productMappings_raw = "select pm.auction_product_matcher_id as id, ah.auction_house_label, pm.ext_title, pd.products_name from " . TABLE_AUCTION_PRODUCT_MATCHER . " pm, " . TABLE_AUCTION_HOUSES . " ah, " . TABLE_PRODUCTS_DESCRIPTION . " pd where pm.auction_house_id = ah.auction_house_id and pm.products_id = pd.products_id and pm.is_approved = 1 and pd.language_id = '" . $languages_id . "' order by pd.products_name";
	  $productMappings_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $productMappings_raw, $productMappings_query_numrows);
	  $productMappings = tep_db_query($productMappings_raw);
	  break;
  }  

  $checkAll = (isset($HTTP_GET_VARS['check']) ? $HTTP_GET_VARS['check'] : 'false');
  
  $oInfo = null;

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript">
	function submit_form(perform)
	{
		//alert(perform);
		document.forms[0].perform.value = perform;
		document.forms[0].submit();
		return false;
	}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td>
		<?php echo tep_draw_form("listings", FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params()) ?>
		<?php echo tep_draw_hidden_field("perform", "nothing") ?>		
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent" align="center">
<? 					if ($checkAll == 'true')
					{ echo '<a href="' . tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params(array('check')) . 'check=false') . '">--</a>'; }
					else
					{ echo '<a href="' . tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params(array('check')) . 'check=true') . '">X</a>'; }
?>
				</td>
	            <td class="dataTableHeadingContent"><?php echo HEADING_AUCTION_TITLE; ?></td>
    	        <td class="dataTableHeadingContent"><?php echo HEADING_AUCTION_HOUSE; ?></td>
	            <td class="dataTableHeadingContent"><?php echo HEADING_AUCTION_PRODUCT; ?></td>
	            <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_ACTION; ?></td>
			  </tr>
			  
<?php
    while ($tmpObj = tep_db_fetch_array($productMappings)) {  
	
     if($HTTP_GET_VARS['oID'] == $tmpObj['id']) {
       echo '          <tr class="dataTableRowSelected">' . "\n";
     } else {
       echo '          <tr class="dataTableRow">' . "\n";
     }	
	
	
      echo '            <td class="dataTableContent" valign="top">';
	  if ($checkAll == 'true')
	  { echo tep_draw_checkbox_field('oID-'. $tmpObj['id'],'',true) . '</td>'; }
	  else
	  { echo tep_draw_checkbox_field('oID-'.$tmpObj['id']) . '</td>'; }
		
      echo '            <td class="dataTableContent" valign="top">' . $tmpObj['ext_title'] . '</td>' . "\n";
      echo '            <td class="dataTableContent" valign="top">' . $tmpObj['auction_house_label'] . '</td>' . "\n";
      echo '            <td class="dataTableContent" valign="top">' . $tmpObj['products_name'] . '</td>' . "\n";
      echo '            <td class="dataTableContent" align="right">';
	
  	  // if no row is set, then select the top row
	  if($HTTP_GET_VARS['oID'] == null)
	  {
	  	$HTTP_GET_VARS['oID'] = $tmpObj['id'];
	  }
	  
	  if($HTTP_GET_VARS['oID'] == $tmpObj['id'])
	  { 
	    $oInfo = new objectInfo($tmpObj);
	  	echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); 
	  }
	  else
	  {
	    echo '<a href="' . tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params(array('oID')) . 'oID=' . $tmpObj['id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; 
	  }
	  echo '&nbsp;</td>';
	  echo '</tr>';
		   


//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['price'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['qty'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['insurance'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['shipping'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . tep_display_tax_value($auction_listings[$i]['tax']) . '%</td>'  . "\n" .
//           '            <td class="dataTableContent" valign="top" align="right">' . $auction_listings[$i]['products_id'] . '</td>' . "\n";
//
		   

//           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['name'];   echo '            </td>' . "\n" .
//           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['model'] . '</td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']), true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n" .
//           '            <td class="dataTableContent" align="right" valign="top"><b>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax']) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</b></td>' . "\n";

    }
?>	
                </table>
                <table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $productMappings_split->display_count_ex(TEXT_DISPLAY_NUMBER_OF_MAPPINGS); ?></td>
                    <td class="smallText" align="right"><?php echo $productMappings_split->display_links_ex(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y', 'oID'))); ?></td>
                  </tr>
                </table>
				</td>
<?php

  $heading = array();
  $contents = array();
  switch ($_REQUEST['perform']) {
    case 'DeleteItemsMultiple':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DELETE_ITEMS . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_DELETE_ITEMS, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('DeleteMultipleConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
  
    case 'ApproveMultiple':
      $affectedItems = array();
      $affectedItems = $auctionHelper->createAffectedItemsArrayOfOID($HTTP_POST_VARS);
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_APPROVE . '</b>');

      $contents[] = array('text' => sprintf(TEXT_INFO_APPROVE, count($affectedItems)));
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm.gif', IMAGE_CONFIRM, "onclick=\"return submit_form('ApproveMultipleConfirm');\"") . ' <a href="' . tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
  
    default:

      if (is_object($oInfo)) {
	  }
      
	  $heading[] = array('text' => '');
      $contents[] = array('align' => 'left', 'text' => '<b>Single Action (Hi-lited Item)</b>');
      $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING_ITEM, tep_get_all_get_params(array('action'))) . '">Create Mapping</a>');
	  
      if (is_object($oInfo)) {
        $contents[] = array('align' => 'left', 'text' => '<a href="' . tep_href_link(FILENAME_AUCTION_PRODUCT_MAPPING_ITEM, tep_get_all_get_params(array('action', 'oID')) . 'oID=' . $oInfo->id . '&action=edit') . '">Edit Mapping</a>');

        $contents[] = array('align' => 'left', 'text' => '<br/><br/><b>Bulk Action (Checked Items)</b>');
        $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('DeleteItemsMultiple');\">Delete Items</a>");
        $contents[] = array('align' => 'left', 'text' => "<a href=\"#\" onclick=\"return submit_form('ApproveMultiple');\">Approve</a>");
      
//		$products = array();
//		$products_query_raw = "select products_name from " . TABLE_PRODUCTS_DESCRIPTION . " where products_id = " . $oInfo->product_id;
//		$products_query = tep_db_query($products_query_raw);
//		$product = tep_db_fetch_array($products_query);
		
	  	
//        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_ORDERS_INVOICE, 'oID=' . $oInfo->orders_id) . '" TARGET="_blank">' . tep_image_button('button_invoice.gif', IMAGE_ORDERS_INVOICE) . '</a> <a href="' . tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID=' . $oInfo->orders_id) . '" TARGET="_blank">' . tep_image_button('button_packingslip.gif', IMAGE_ORDERS_PACKINGSLIP) . '</a>');
//        $contents[] = array('text' => '<br>' . TEXT_DATE_ORDER_CREATED . ' ' . tep_date_short($oInfo->date_purchased));
//        if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED . ' ' . tep_date_short($oInfo->last_modified));
//        $contents[] = array('text' => '<br>' . TEXT_INFO_PAYMENT_METHOD . ' '  . $oInfo->payment_method);
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
  
?>
          </tr>
        </table>
		</form>
		</td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->
<!-- footer //-->
<?php
    require(DIR_WS_INCLUDES . 'footer.php');
?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
